﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace SECOM.Common.Schema
{
    public class Secom_SchemaValidationException : Exception
    {
        public string ValidationMessage { get; private set; }
        public Secom_SchemaValidationException(string validationMessage) : base(validationMessage)
        {
            ValidationMessage = validationMessage;
        }

        public Secom_SchemaValidationException(string validationMessage, Exception ex)
            : base(validationMessage, ex)
        {
            ValidationMessage = validationMessage;

        }

        protected Secom_SchemaValidationException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }

        public Secom_SchemaValidationException()
        {
        }

        public override void GetObjectData(SerializationInfo info, StreamingContext context)
        {
            base.GetObjectData(info, context);
        }
    }
}
