﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SECOM.Common.Models.Private
{
    public class AcknowledgementDto
    {
        public string DigitalSignature { get; set; }

        public EnvelopeAckDto Envelope { get; set; }
    }

    public class EnvelopeAckDto
    {
        public DateTime CreatedAt { get; set; }
        public string EnvelopeCertificate { get; set; }
        public string EnvelopeRootCertificateThumbprint { get; set; }

        public Guid TransactionIdentifier { get; set; }

        public Public.AckTypeEnum Type { get; set; }

        public Public.NackTypeEnum? Reason { get; set; }

        public DateTime EnvelopeSignatureTime { get; set; }
    }
}
