﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.Common.Models.Private
{
    public class EncryptionKeyDto
    {
        [Required]
        public byte[] Key { get; set; }

        [Required]
        public byte[] IV { get; set; }

        [Required]
        public Guid TransactionIdentifier { get; set; }

        [Required]
        public DigitalSignatureDto DigitalSignature { get; set; }

        public bool SignatureValidatedOk { get; set; }

        [Required]
        public string EnvelopeSignatureCertificate { get; set; }

        [Required]
        public string EnvelopeRootCertificateThumbprint { get; set; }

        [Required]
        [DefaultValue(0)]
        public int EnvelopeSignatureHashType { get; set; }

        [Required]
        public string EnvelopeSignature { get; set; }

        public DateTime EnvelopeSignatureTime { get; set; }

    }
}
