﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.Common.Models.Private
{
    public class PublishedMessageDto
    {
        public DateTime CreatedTime { get; set; }

        [Required]
        public byte[] Data { get; set; }

        [Required]
        public int ContainerType { get; set; }

        [Required]
        public int DataProductType { get; set; }

        [Required]
        public Guid DataReference { get; set; }

        [Required]
        public int AckRequest { get; set; }

        [Required]
        public virtual ExchangeMetadataDto ExchangeMetadataDto { get; set; }
        public string Geometry { get; set; }
        public string Unlocode { get; set; }
    }
}