﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.Common.Models.Private
{
    public class UploadedMessageDto
    {
        [Required]
        public byte[] Data { get; set; }

        [Required]
        public int ContainerType { get; set; }

        [Required]
        public virtual ExchangeMetadataDto ExchangeMetadata { get; set; }

        [Required]
        public bool? FromSubscription { get; set; }

        public int? AckRequest { get; set; }

        public string AckEndpoint { get; set; }

        public bool TechnicalAckDelivered { get; set; }

        public bool OperationalAckDelivered { get; set; }

        [Required]
        public Guid TransactionIdentifier { get; set; }

        public DateTime ReceivedTime { get; set; }

        public bool IsExchangeSet { get; set; }

    }
}