﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SECOM.Common.Models.Public
{
    public enum Secom_DataProductTypeEnum
    {
        S57, //Electronic Navigational Chart (ENC)
        S101, //Electronic Navigational Chart (ENC)
        S102, //Bathymetric Surface
        S104, //Water Level Information for Surface Navigation
        S111, //Surface Currents
        S122, //Marine Protected Areas (MPAs)
        S123, //Marine Radio Services
        S124, //Navigational Warnings
        S125, //Marine Navigational Services
        S126, //Marine Physical Environment
        S127, //Marine Traffic Management
        S128, //Catalogue of Nautical Products
        S129, //Under Keel Clearance Management (UKCM)
        S210, //Inter-VTS Exchange Format
        S211, // Port Call Message Format
        S212, //VTS Digital Information Service
        S401, //Inland ENC
        S402, //Bathymetric Contour Overlay for Inland ENC
        S411, //Sea Ice Information
        S412, //Weather Overlay
        S413, //Marine Weather Conditions
        S414, //Marine Weather Observations        
        S421, //Route Plan
        RTZ, //Route Plan
        EPC, //Electronic Port Clearance
        OTHER //Reserved
    }
}
