﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace SECOM.Common.Models.Public
{
    public class GetSummaryResponseObject
    {
        /// <summary>
        /// Description of the information object
        /// </summary>
        [Required]
        public List<SummaryObject> InformationSummaryObject { get; set; }

        /// <summary>
        /// Pagination information
        /// </summary>
        [Required]
        public PaginationObject Pagination { get; set; }
    }
}