﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SECOM.DataAccess.Entities
{
    public class Capability : EntityBase
    {
        [Required]
        public int DataProductType { get; set; }

        [Required]
        public string ProductSchemaUrl { get; set; }

        [Required]
        public string ServiceVersion { get; set; }

        public bool ImplementsUpload { get; set; }
        public bool ImplementsUploadLink { get; set; }
        public bool ImplementsGet { get; set; }
        public bool ImplementsGetByLink { get; set; }
        public bool ImplementsGetSummary { get; set; }
        public bool ImplementsSubscription { get; set; }
        public bool ImplementsAccess { get; set; }
        public bool ImplementsEncryptionKey { get; set; }
    }
}
