﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.DataAccess.Entities
{
    public class Notification : EntityBase
    {
        [Required]
        public string Body { get; set; }
        [Required]
        public string Subject { get; set; }
        [Required]
        public DateTime ReceivedAt { get; set; }
        public Guid TransactionId { get; set; }
        public bool Notified { get; set; }

        public DateTime NotifiedAt { get; set; }
    }
}
