﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.DataAccess.Entities
{
    public class PublishedMessage : EntityBase
    {
        public DateTime CreatedTime { get; set; }

        [Required]
        public byte[] Data { get; set; }

        [Required]
        public int ContainerType { get; set; }
        
        [Required]
        public Guid DataReference { get; set; }

        [Required]
        public int AckRequest { get; set; }

        public int DataProductTypeId { get; set; }
        public string ProductVersion { get; set; }

        [Required]
        public virtual ExchangeMetadata ExchangeMetadata { get; set; }
        public string Geometry { get; set; }

        public string Unlocode { get; set; }
    }
}