﻿using System.Collections.Generic;
using System.Security.Cryptography.X509Certificates;

namespace SECOM.Module.Ui.Models
{
    public class SecomEnvironment
    {
        public string Name { get; set; }
        public List<SecomInstance> Instances { get; set; }
    }

    public class SecomInstance
    {
        public string Name { get; set; }
        public string DisplayName { get; set; }
        public string PrivateBaseUrl { get; set; }
        public string PublicBaseUrl { get; set; }
        public string CertificateFile { get; set; }
        public string CertificatePassword { get; set; }
        public string EnvelopeCertificateFile { get; set; }
        public string EnvelopeCertificatePassword { get; set; }
    }
}