﻿using SECOM.Module.Ui.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace SECOM.Module.Ui.Views.Dialogs
{
    /// <summary>
    /// Interaction logic for GetSummaryDialog.xaml
    /// </summary>
    public partial class GetSummaryDialog : Window
    {
        public GetSummaryDialog(GetSummaryViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
        }

        public GetSummaryViewModel ViewModel
        {
            get { return DataContext as GetSummaryViewModel; }
        }

        private void OkButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            this.Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            this.Close();
        }
    }
}
