﻿using SECOM.Module.Ui.ViewModels;
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace SECOM.Module.Ui.Views.Dialogs
{
    public partial class NewMessageDialog : Window
    {
        public NewMessageDialog(NewMessageDialogViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
        }

        public NewMessageDialogViewModel ViewModel
        {
            get
            {
                return DataContext as NewMessageDialogViewModel;
            }
        }

        private void OkButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            this.Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            this.Close();
        }

        private void CertButton_Click(object sender, RoutedEventArgs e)
        {

        }

        private void FileButton_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
