﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace SECOM.Pki.Models
{
    /// <summary>
    /// 
    /// </summary>
    public class CertificateRevocation
    {
        /// <summary>
        /// The reason the certificate has been revoked
        /// </summary>
        /// <value>The reason the certificate has been revoked</value>
        [Required]
        public RevocationReasonEnum? RevocationReason { get; set; }

        /// <summary>
        /// The date the certificate revocation should be activated.
        /// </summary>
        /// <value>The date the certificate revocation should be activated.</value>
        [Required]
        public DateTime? RevokedAt { get; set; }
    }
}
