﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.Common.Models.Private
{
    public class ExchangeMetadataDto
    {
        [Required]
        public bool DataProtection { get; set; }

        [Required]
        public string ProtectionScheme { get; set; }

        [Required]
        public string DigitalSignatureReference { get; set; }

        [Required]
        public virtual DigitalSignatureDto DigitalSignature { get; set; }

        public bool CompressionFlag { get; set; }

    }
}
