﻿using System;
using System.ComponentModel.DataAnnotations;

namespace SECOM.Common.Models.Public
{
    public class AccessNotificationObject
    {
        /// <summary>
        /// Access request decision, yes or no
        /// </summary>
        [Required]
        public bool Decision { get; set; }

        /// <summary>
        /// Human readable reason for decision
        /// </summary>
        [Required]
        public string DecisonReason { get; set; }

        /// <summary>
        /// Transaction identifier corresponding to Request Access
        /// </summary>
        [Required]
        public Guid? TransactionIdentifier { get; set; }

    }
}
