﻿using System;
using System.ComponentModel.DataAnnotations;

namespace SECOM.Common.Models.Public
{
    public class AcknowledgementObject
    {
        /// <summary>
        /// The acknowledgment payload to be signed
        /// </summary>
        [Required]
        public EnvelopeAckObject Envelope { get; set; }

        /// <summary>
        /// The signature ot the EnvelopeAckObject in HEX format without whitespace or linebreaks
        /// </summary>
        [Required]
        public string DigitalSignature { get; set; }
    }
}