﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace SECOM.Common.Models.Public
{
    public class GetResponseObject
    {
        /// <summary>
        /// The data according to Product Specification embedded in JSON.The data may be encrypted and signed.
        /// </summary>
        [Required]
        public List<DataResponseObject> DataResponseObject { get; set; }

        /// <summary>
        /// Pagination information
        /// </summary>
        [Required]
        public PaginationObject Pagination { get; set; }
    }
}