﻿using System.ComponentModel.DataAnnotations;

namespace SECOM.Common.Models.Public
{
    public class PaginationObject
    {
        /// <summary>
        /// The total number of items that satisfy the query. This is always returned unless the requested page is set to 0.
        /// </summary>
        [Required]
        public int TotalItems { get; set; }

        /// <summary>
        /// The maximum number of items the service shall return per page.
        /// </summary>
        [Required]
        public int MaxItemsPerPage { get; set; }
    }
}
