﻿using System;
using System.ComponentModel.DataAnnotations;

namespace SECOM.Common.Models.Public
{
    public class SubscriptionResponsObject
    {
        /// <summary>
        /// Success or error response message
        /// </summary>
        [Required]
        public string Message { get; set; }

        /// <summary>
        /// Subscription identifier, if successful
        /// </summary>
        [Required]
        public Guid? SubscriptionIdentifier { get; set; }
    }
}