﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.DataAccess.Entities
{
    public class Acknowledgement : EntityBase
    {
        [Required]
        public Guid TransactionIdentifier { get; set; }

        [Required]
        public DateTime CreatedAt { get; set; }

        [Required]
        public int AckType { get; set; }

        [Required]
        public string EnvelopeAckCertificate { get; set; }
        public string EnvelopeRootCertificateThumbprint { get; set; }

        public DateTime EnvelopeSignatureTime { get; set; }

        public string DigitalSignature { get; set; }

        public int? NackType { get; set; }

    }
}
