﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.DataAccess.Entities
{
    public class ExchangeMetadata : EntityBase
    {
        [Required]
        public bool DataProtection { get; set; }

        [Required]
        public string ProtectionScheme { get; set; }

        [Required]
        public string DigitalSignatureReference { get; set; }

        [Required]
        public virtual DigitalSignature DigitalSignature { get; set; }


        public bool CompressionFlag { get; set; }
    }
}
