﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace SECOM.DataAccess.Entities
{
    public class TemporaryKey : EntityBase
    {
        [Required]
        public byte[] Key { get; set; }

        [Required]
        public byte[] IV { get; set; }

        [Required]
        public Guid DataReference { get; set; }

        [Required]
        public byte[] PrivateCertificate { get; set; }

        [Required]
        public string Pwd { get; set; }
    }
}
