﻿
using SECOM.Common.Models.Public;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SECOM.Module.Ui.ViewModels
{
    public class GetViewModel : ViewModelBase
    {

        private string _dataReference;
        public string DataReference
        {
            get
            {
                return _dataReference;
            }
            set
            {
                if (_dataReference == value)
                    return;
                _dataReference = value;

                OnPropertyChanged(() => DataReference);
            }
        }

        private ContainerTypeEnum? _dataType;
        public ContainerTypeEnum? DataType
        {
            get
            {
                return _dataType;
            }
            set
            {
                if (_dataType == value)
                    return;
                _dataType = value;

                OnPropertyChanged(() => DataType);
            }
        }

        private string _productSpecificationId;
        public string ProductSpecificationId
        {
            get
            {
                return _productSpecificationId;
            }
            set
            {
                if (_productSpecificationId == value)
                    return;
                _productSpecificationId = value;

                OnPropertyChanged(() => ProductSpecificationId);
            }
        }

        private string _geometry;
        public string Geometry
        {
            get
            {
                return _geometry;
            }
            set
            {
                if (_geometry == value)
                    return;
                _geometry = value;

                OnPropertyChanged(() => Geometry);
            }
        }

        private string _productSpecificationVersion = null;
        public string ProductSpecificationVersion
        {
            get
            {
                return _productSpecificationVersion;
            }
            set
            {
                if (_productSpecificationVersion == value)
                    return;
                _productSpecificationVersion = value;

                OnPropertyChanged(() => ProductSpecificationVersion);
            }
        }

        private string _unlocode;
        public string Unlocode
        {
            get
            {
                return _unlocode;
            }
            set
            {
                if (_unlocode == value)
                    return;
                _unlocode = value;

                OnPropertyChanged(() => Unlocode);
            }
        }

        private DateTime? _fromTime;
        public DateTime? FromTime
        {
            get
            {
                return _fromTime;
            }
            set
            {
                if (_fromTime == value)
                    return;
                _fromTime = value;

                OnPropertyChanged(() => FromTime);
            }
        }

        private DateTime? _toTime;
        public DateTime? ToTime
        {
            get
            {
                return _toTime;
            }
            set
            {
                if (_toTime == value)
                    return;
                _toTime = value;

                OnPropertyChanged(() => ToTime);
            }
        }

        private int _page = 1;
        public int Page
        {
            get
            {
                return _page;
            }
            set
            {
                if (_page == value)
                    return;
                _page = value;

                OnPropertyChanged(() => Page);
            }
        }

        private int _pageSize = 3;
        public int PageSize
        {
            get
            {
                return _pageSize;
            }
            set
            {
                if (_pageSize == value)
                    return;
                _pageSize = value;

                OnPropertyChanged(() => PageSize);
            }
        }


    }
}
