﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using SECOM.Module.Ui.ViewModels;

namespace SECOM.Module.Ui.Views.Dialogs
{
    /// <summary>
    /// Interaction logic for SendAckDialog.xaml
    /// </summary>
    public partial class SendAckDialog : Window
    {
        public SendAckDialog(SendAckDialogViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
        }

        public SendAckDialogViewModel ViewModel
        {
            get
            {
                return DataContext as SendAckDialogViewModel;
            }
        }

        private void SendButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            this.Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            this.Close();
        }
    }
}
