using System.Runtime.Serialization;

namespace SECOM.ServiceDiscovery.Models
{
    /// <summary>
    /// 
    /// </summary>
    [DataContract]
    public partial class FindServiceResponseObject
    {
        public FindServiceResponseObject()
        { }

        /// <summary>
        /// Initializes a new instance of the <see cref="FindServiceResponseObject" /> class.
        /// </summary>
        /// <param name="Comment">Comment.</param>
        /// <param name="Description">Description</param>
        /// <param name="EndpointType">EndpointType.</param>
        /// <param name="EndpointUri">EndpointUri.</param>
        /// <param name="InstanceAsXml">InstanceAsXml.</param>
        /// <param name="InstanceId">InstanceId.</param>
        /// <param name="Keywords">Keywords.</param>
        /// <param name="Name">Name.</param>
        /// <param name="OrganizationId">OrganizationId.</param>
        /// <param name="Status">Status.</param>
        /// <param name="Unlocode">Unlocode.</param>
        /// <param name="Version">Version.</param>
        public FindServiceResponseObject(string Comment = null, string Description = null, string EndpointType = null, string EndpointUri = null, Xml InstanceAsXml = null, string InstanceId = null, string Keywords = null, string Name = null, string OrganizationId = null, string Status = null, string Unlocode = null, string Version = null)
        {
            this.Comment = Comment;
            this.Description = Description;
            this.EndpointType = EndpointType;
            this.EndpointUri = EndpointUri;
            this.InstanceAsXml = InstanceAsXml;
            this.InstanceId = InstanceId;
            this.Keywords = Keywords;
            this.Name = Name;
            this.OrganizationId = OrganizationId;
            this.Status = Status;
            this.Unlocode = Unlocode;
            this.Version = Version;
        }

        /// <summary>
        /// Gets or Sets Comment
        /// </summary>
        [DataMember(Name = "comment")]
        public string Comment { get; set; }

        /// <summary>
        /// Gets or Sets Description
        /// </summary>
        [DataMember(Name = "description")]
        public string Description { get; set; }

        /// <summary>
        /// Gets or Sets EndpointType
        /// </summary>
        [DataMember(Name = "endpointType")]
        public string EndpointType { get; set; }

        /// <summary>
        /// Gets or Sets EndpointUri
        /// </summary>
        [DataMember(Name = "endpointUri")]
        public string EndpointUri { get; set; }

        /// <summary>
        /// Gets or Sets InstanceAsXml
        /// </summary>
        [DataMember(Name = "instanceAsXml")]
        public Xml InstanceAsXml { get; set; }

        /// <summary>
        /// Gets or Sets InstanceId
        /// </summary>
        [DataMember(Name = "instanceId")]
        public string InstanceId { get; set; }

        /// <summary>
        /// Gets or Sets Keywords
        /// </summary>
        [DataMember(Name = "keywords")]
        public string Keywords { get; set; }

        /// <summary>
        /// Gets or Sets Name
        /// </summary>
        [DataMember(Name = "name")]
        public string Name { get; set; }

        /// <summary>
        /// Gets or Sets OrganizationId
        /// </summary>
        [DataMember(Name = "organizationId")]
        public string OrganizationId { get; set; }

        /// <summary>
        /// Gets or Sets Status
        /// </summary>
        [DataMember(Name = "status")]
        public string Status { get; set; }

        /// <summary>
        /// Gets or Sets Unlocode
        /// </summary>
        [DataMember(Name = "unlocode")]
        public string Unlocode { get; set; }

        /// <summary>
        /// Gets or Sets Version
        /// </summary>
        [DataMember(Name = "version")]
        public string Version { get; set; }
    }
}
